/*
  Rhino test framework

   Copyright (C) 2011  Red Hat

This file is part of IcedTea.

IcedTea is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

IcedTea is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with IcedTea; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version.
*/

package org.RhinoTests;

/**
 * Various constants used by test cases.
 *
 * @author Pavel Tisnovsky
 */
public class Constants {

    /**
     * Constants for known engine names or aliases for JavaScript engine.
     * 
     * @author Pavel Tisnovsky
     */
    public static class EngineNames {
        protected static final String ENGINE_NAME_JavaScript = "JavaScript";
        protected static final String ENGINE_NAME_javascript = "javascript";
        protected static final String ENGINE_NAME_ECMAScript = "ECMAScript";
        protected static final String ENGINE_NAME_ecmascript = "ecmascript";
        protected static final String ENGINE_NAME_js = "js";
        protected static final String ENGINE_NAME_rhino = "rhino";
    }

    /**
     * Constants for known MIME types for JavaScript engine.
     * 
     * @author Pavel Tisnovsky
     */
    public static class MimeTypes {
        protected static final String MIME_TYPE_TEXT_JAVASCRIPT = "text/javascript";
        protected static final String MIME_TYPE_TEXT_ECMASCRIPT = "text/ecmascript";
        protected static final String MIME_TYPE_APPLICATION_JAVASCRIPT = "application/javascript";
        protected static final String MIME_TYPE_APPLICATION_ECMASCRIPT = "application/ecmascript";
    }

    /**
     * Constants for known file extensions for JavaScript engine.
     * 
     * @author Pavel Tisnovsky
     */
    public static class FileExtensions {
        protected static final String EXTENSION_js = "js";
    }

}
